Page MenuHomePhabricator

Wikipedias Accuracy Review Meeting 2 : 28th May 2016 UTC 4am
Closed, ResolvedPublic

Description

Date and Time

  • 28th May 2016 - UTC 4am

Format

  • Google Hangouts
  • Wikimedia etherpad

Agenda

  1. Useful tools during the coding phase
  2. Generating article dumps
  3. User roles and Profile pages
  4. Clarity on the blueprint version of the bot and project schedule

Meeting Minutes

1. Useful tools during the coding phase

2. Generating article dumps

  • Realized the original wikiwho api code is to be run from the browser
  • Task - refactor it to work from the shell

3. Creating user roles and profile pages

  • Two roles - reviewer and administrator
  • Reviewers: name, email, button for new assignment, button for last uncompleted
  • administrators: same but add/disable users too

4. Clarity on the blueprint version of the bot and project schedule

  • Use the "waterfall style" schedule which GSoC project proposals require as a blueprint to do agile-style iterated development
  • a very simple version of the review system based only on text strings instead of wiki-specific article-related data structures in the following paragraph.
  • If you are more comfortable with the iterative agile style that can help you start with a simple program and edit it to add features (instead of building a set of waterfall-style bricks that you then try to connect together) then just edit the phabricator tasks and mediawiki wiki and/or talk page to show your accomplishments as they happen in the week schedule sections when they happened, and then you are keeping diaries at the same time.
  • An agile-style task for the system would be a Flask system that takes a list of text questions, asks users the questions in randomly permuted order, accepts their text answers, and then shows the answer to a second user asking whether they agree yes/no with the answer, and for text comments. If they don't agree, then show the whole thing to a third user and ask them to read the question, answer, comments, say yes/no whether they agree, and then publish the end result in a log page.

Event Timeline

prnk28 created this task.May 30 2016, 6:11 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 30 2016, 6:11 AM
prnk28 closed this task as Resolved.Jun 30 2016, 7:11 PM